using System;
class husdh
{
    static int indeks(long[] a, int n, long x)
    {
        int i=0,l=0; 
        if(a[0]>x)
        {
            l=0;
        }
        else if(a[n-1]<x)
        {
            l=n;
        }
        else
        {
            for(i=0; i<(n-1); i++)
            {
                if(a[i]<x && a[i+1]<x)
                {
                    l=i+1;
                    break;
                }
            }
        }
        return l;
    }
    static bool imaliunizu(long[] a, long x, int n,ref int l)
    {
        int i;
        for(i=0; i<n; i++)
        {
            if(x==a[i])
            {
                l=i;
                return true;
            }
        }
        return false;
    }
    static void sort(long[] a, int n)
    {
        int i,j;
        long tmp;
        for(i=1; i<n; i++)
        {
            tmp=a[i];
            for(j=i-1; j>=0 && a[j]>tmp; j--)
            {
                a[j+1]=a[j];
                a[j]=tmp;
            }
        }
    }
    static long meridijana(long[] a, int n, ref int k)
    {
       int i;
       long x=0;
        if(n%2==1)
        {
            i=(n-1)/2+1;
            i--;
            x=a[i];
            k=i;
        }
        else
        {
            i=n/2+1;
            i--;
            x=a[i];
            k=i;
        }
        return x;
    }
    static void Main()
    {
        string [] s=Console.ReadLine().Split();
        int n=int.Parse(s[0]);
        int m=int.Parse(s[1]);
        long[] a= new long[n];
        long[] b= new long[m];
        long[] c= new long[m];
        int i,k=0,l=0,br=0;
        long x;
        string [] an=Console.ReadLine().Split();
        for(i=0; i<n; i++)
        {
            a[i]=int.Parse(an[i]);
        }
        string [] bn=Console.ReadLine().Split();
        for(i=0; i<m; i++)
        {
            b[i]=int.Parse(bn[i]);
        }
        sort(a,n);
        x=meridijana(a,n,ref k);
        for(i=0; i<m; i++)
        {
            br=0;
            if(x==b[i])
            {
                br=0;
            }
            else if(imaliunizu(a,b[i],n, ref l))
            {
                br=Math.Abs(l-k);
                if(br!=1)
                {
                    br++;
                }
            }
            else
            {
                l=indeks(a,n,b[i]);
                if(x>b[i])
                {
                    k++;
                }
                br=Math.Abs(l-k);
                if(br!=1)
                {
                    br++;
                }
                else if(br==1)
                {
                    br--;
                }
                br++;
            }
            c[i]=br;
        }
        for(i=0; i<m; i++)
        {
            Console.WriteLine(c[i]);
        }
    }
}